For AI agents: the complete documentation index is available at https://docs.snaptrade.com/llms.txt, and the full documentation text is available at https://docs.snaptrade.com/llms-full.txt. Markdown versions of documentation pages are available by appending .md to the URL path.
View as Markdown
Reference Data

List security types

get
https://api.snaptrade.com/securityTypes

Return all available security types supported by SnapTrade.

Execute an API Request

Authentication Method

Use commercial authentication when acting on behalf of your application and passing end-user credentials with requests that require them.

Credentials
Request
Installation
$
npm install snaptrade-typescript-sdk
1
import {
2
Snaptrade,
3
SnaptradeAuth,
4
} from "snaptrade-typescript-sdk";
5
6
const snaptrade = new Snaptrade({
7
auth: SnaptradeAuth.commercialApiKey({
8
consumerKey: "CONSUMER_KEY",
9
clientId: "CLIENT_ID",
10
}),
11
});
12
13
const response =
14
await snaptrade.referenceData.getSecurityTypes();
15
console.log(response.data);

Response fields

array of objects
object

The type of security. For example, "Common Stock" or "ETF".

1
[
2
{
3
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
4
"code": "cs",
5
"description": "Common Stock",
6
"is_supported": true
7
}
8
]